DtSearchRetrieve(library call)

NAME
DtSearchRetrieve — Return clear text of documents from DtSearch databases

SYNOPSIS

#include &<Dt/Search.h>
int DtSearchRetrieve(
char *dbname,
DB_ADDR dba,
char **cleartext,
long *clearlen,
int *fzkeyi);

DESCRIPTION

DtSearchRetrieve retrieves the uncompressed document text of a specified DtSearch document listed in the DtSrResult list from a previous call to DtSearchQuery. It will be successful only in an AusText type database where the documents are stored directly in a database repository.

ARGUMENTS

dbname
    Specifies which database the document is stored in. It can be any one of the database name strings returned from DtSearchInit or DtSearchReinit. If dbname is NULL, the first database name string is used.

dba The database address of the desired record from the DtSrResult.dba field in a search results list.

cleartext
    Specifies a pointer where a zero terminated C string containing the document text will be stored. The string is allocated storage that will be freed by the next call to this function.

clearlen
    Specifies a pointer where the length of the cleartext string will be stored.

fzkeyi
    This is a reserved argument. It should always be NULL.

RETURN VALUE

DtSearchRetrieve returns DtSrOK as well as the cleartext string, when document retrieval is completely successful.

It returns DtSrNOTAVAIL if the document text is not available from the database for whatever reason.

Any other return code signifies failure and user messages on the MessageList explain why.

Any API function can also return DtSrREINIT and the return codes for fatal engine errors at any time.

SEE ALSO

dtsrcreate(1), DtSrAPI(3), DtSearchQuery(3), DtSearch(5)